diff --git a/demos/tests/demo_test.dart b/demos/tests/demo_test.dart
new file mode 100644
index 0000000..320e690
--- /dev/null
+++ b/demos/tests/demo_test.dart
@@ -0,0 +1,68 @@
+#library('TestSuite');
+
+// TODO(rupertk): Switch to using pub
+#import('/opt/Arkade/Dart/dart-sdk/lib/unittest/unittest.dart');
+
+#import('../../lib/box2d.dart');
+
+#source('../demo.dart');
+
+// for running standalone
+// main() => DemoTest.run();
+
+class DemoTest {
+  static void run() {
+    group('Demo', () {
+      group('constructors', () {
+        test('with 0 args works', () {
+          final demo = new MockDemo();
+          expect(demo, isNotNull);
+          demo.validateValues(expectedViewportScale:10);
+        });
+        test('with 1 arg works', () {
+          final demo = new MockDemo.oneArg();
+          expect(demo, isNotNull);
+          demo.validateValues();
+        });
+        test('with 2 args works', () {
+          final demo = new MockDemo.twoArg();
+          expect(demo, isNotNull);
+          demo.validateValues();
+        });
+        test('with 2 named args works', () {
+          final demo = new MockDemo.twoNamedArgs();
+          expect(demo, isNotNull);
+          demo.validateValues();
+        });
+      });
+    });
+  }  
+}
+
+class MockDemo extends Demo {
+
+// Dominic original
+//  MockDemo() : super();
+//
+//  MockDemo.oneArg() : super.withViewportScale(2.5);
+//
+//  MockDemo.twoArg() : super.withGravity(new Vector(0, 0), 2.5);
+
+  MockDemo() : super();
+
+  MockDemo.oneArg() : super(viewportScale: 2.5);
+
+  MockDemo.twoArg() : super(new Vector(0, 0), 2.5);
+
+  MockDemo.twoNamedArgs()
+      : super(gravity: new Vector(0, 0), viewportScale: 2.5);
+  
+  void validateValues([final num expectedViewportScale = 2.5]) {
+    expect(this.viewportScale, equals(expectedViewportScale));
+    
+    // no way to validate gravity (inaccessible outside library)
+    // Observed working by adding print('Gravity: $gravity'); to constructor.
+  }
+
+  void initialize() {}
+}
diff --git a/demos/tests/demos_testsuite.dart b/demos/tests/demos_testsuite.dart
new file mode 100644
index 0000000..ae8411f
--- /dev/null
+++ b/demos/tests/demos_testsuite.dart
@@ -0,0 +1,13 @@
+#library('TestSuite');
+
+#import('/opt/Arkade/Dart/dart-sdk/lib/unittest/unittest.dart');
+#import('/opt/Arkade/Dart/dart-sdk/lib/unittest/html_config.dart');
+
+#import('demo_test.dart');
+
+main() {
+  useHtmlConfiguration();
+
+  DemoTest.run();
+
+}
diff --git a/demos/tests/demos_testsuite.html b/demos/tests/demos_testsuite.html
new file mode 100644
index 0000000..272b607
--- /dev/null
+++ b/demos/tests/demos_testsuite.html
@@ -0,0 +1,13 @@
+<!DOCTYPE html>
+
+<html>
+  <head>
+    <title>Dart Box2d Demos testsuite</title>
+  </head>
+  <body>
+    <h1>Dart Box2d Demos testsuite</h1>
+    <h2 id="status">dart is not running</h2>
+    <script type="application/dart" src="demos_testsuite.dart"></script>
+    <script src="http://dart.googlecode.com/svn/branches/bleeding_edge/dart/client/dart.js"></script>
+  </body>
+</html>
